charts/dial-core/values.yaml [93:195]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  failureThreshold: 6
  successThreshold: 1
# -- Custom livenessProbe that overrides the default one
customLivenessProbe: {}
# -- Custom readinessProbe that overrides the default one
customReadinessProbe: {}
# -- Custom startupProbe that overrides the default one
customStartupProbe: {}

# -- dial-core resource requests and limits
# ref: http://kubernetes.io/docs/user-guide/compute-resources/
resources: {}

### Pods Security Context Configuration ###
# ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/#set-the-security-context-for-a-pod
podSecurityContext:
  # -- Enabled dial-core pod's Security Context
  enabled: true
  # -- Set dial-core pod's Security Context fsGroup
  fsGroup: 1001

### Container Security Context Configuration ###
# ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/#set-the-security-context-for-a-container
containerSecurityContext:
  # -- Enabled dial-core container's Security Context
  enabled: true
  # -- Set dial-core container's Security Context runAsUser
  runAsUser: 1001
  # -- Set dial-core containers' Security Context runAsNonRoot
  runAsNonRoot: true
  # -- Set dial-core containers' Security Context runAsNonRoot
  readOnlyRootFilesystem: false

# -- Override default dial-core command (useful when using custom images)
command: []
# -- Override default dial-core args (useful when using custom images)
args: []
# -- dial-core pods host aliases
# https://kubernetes.io/docs/concepts/services-networking/add-entries-to-pod-etc-hosts-with-host-aliases/
hostAliases: []
# -- Extra labels for dial-core pods
# ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/
podLabels: {}
# -- Annotations for dial-core pods
# ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
podAnnotations: {}

###  Pod Disruption Budget configuration ###
# ref: https://kubernetes.io/docs/tasks/run-application/configure-pdb
pdb:
  # -- Enable/disable a Pod Disruption Budget creation
  create: false

### Autoscaling configuration ###
autoscaling:
  hpa:
    # -- Enable HPA
    # ref: https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
    enabled: false
    # -- Annotations for HPA resource
    annotations: {}
    # -- HPA Behavior
    behavior: {}
    # -- Minimum number of replicas
    minReplicas: 1
    # -- Maximum number of replicas
    maxReplicas: 3
    # -- Target CPU utilization percentage
    targetCPU: ""
    # -- Target Memory utilization percentage
    targetMemory: ""
    # -- HPA Custom rules
    customRules: []

# -- Affinity for dial-core pods assignment
affinity: {}
# -- Node labels for dial-core pods assignment
# ref: https://kubernetes.io/docs/user-guide/node-selection/
nodeSelector: {}
# -- Tolerations for dial-core pods assignment
# ref: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/
tolerations: []

### Deployment strategy type ###
# ref: https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/#update-strategies
updateStrategy:
  # -- StrategyType
  # Can be set to RollingUpdate or OnDelete
  type: RollingUpdate

# -- dial-core pods' priorityClassName
priorityClassName: ""
# -- Topology Spread Constraints for pod assignment spread across your cluster among failure-domains. Evaluated as a template
# Ref: https://kubernetes.io/docs/concepts/workloads/pods/pod-topology-spread-constraints/#spread-constraints-for-pods
topologySpreadConstraints: []
# -- Name of the k8s scheduler (other than default) for dial-core pods
# ref: https://kubernetes.io/docs/tasks/administer-cluster/configure-multiple-schedulers/
schedulerName: ""
# -- Seconds dial-core pod needs to terminate gracefully
# ref: https://kubernetes.io/docs/concepts/workloads/pods/pod/#termination-of-pods
terminationGracePeriodSeconds: ""
# -- for the dial-core container(s) to automate configuration before or after startup
lifecycleHooks: {}
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



charts/dial-extension/values.yaml [94:196]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  failureThreshold: 6
  successThreshold: 1
# -- Custom livenessProbe that overrides the default one
customLivenessProbe: {}
# -- Custom readinessProbe that overrides the default one
customReadinessProbe: {}
# -- Custom startupProbe that overrides the default one
customStartupProbe: {}

# -- dial-extension resource requests and limits
# ref: http://kubernetes.io/docs/user-guide/compute-resources/
resources: {}

### Pods Security Context Configuration ###
# ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/#set-the-security-context-for-a-pod
podSecurityContext:
  # -- Enabled dial-extension pod's Security Context
  enabled: true
  # -- Set dial-extension pod's Security Context fsGroup
  fsGroup: 1001

### Container Security Context Configuration ###
# ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/#set-the-security-context-for-a-container
containerSecurityContext:
  # -- Enabled dial-extension container's Security Context
  enabled: true
  # -- Set dial-extension container's Security Context runAsUser
  runAsUser: 1001
  # -- Set dial-extension containers' Security Context runAsNonRoot
  runAsNonRoot: true
  # -- Set dial-extension containers' Security Context runAsNonRoot
  readOnlyRootFilesystem: false

# -- Override default dial-extension command (useful when using custom images)
command: []
# -- Override default dial-extension args (useful when using custom images)
args: []
# -- dial-extension pods host aliases
# https://kubernetes.io/docs/concepts/services-networking/add-entries-to-pod-etc-hosts-with-host-aliases/
hostAliases: []
# -- Extra labels for dial-extension pods
# ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/
podLabels: {}
# -- Annotations for dial-extension pods
# ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
podAnnotations: {}

###  Pod Disruption Budget configuration ###
# ref: https://kubernetes.io/docs/tasks/run-application/configure-pdb
pdb:
  # -- Enable/disable a Pod Disruption Budget creation
  create: false

### Autoscaling configuration ###
autoscaling:
  hpa:
    # -- Enable HPA
    # ref: https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale/
    enabled: false
    # -- Annotations for HPA resource
    annotations: {}
    # -- HPA Behavior
    behavior: {}
    # -- Minimum number of replicas
    minReplicas: 1
    # -- Maximum number of replicas
    maxReplicas: 3
    # -- Target CPU utilization percentage
    targetCPU: ""
    # -- Target Memory utilization percentage
    targetMemory: ""
    # -- HPA Custom rules
    customRules: []

# -- Affinity for dial-extension pods assignment
affinity: {}
# -- Node labels for dial-extension pods assignment
# ref: https://kubernetes.io/docs/user-guide/node-selection/
nodeSelector: {}
# -- Tolerations for dial-extension pods assignment
# ref: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/
tolerations: []

### Deployment strategy type ###
# ref: https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/#update-strategies
updateStrategy:
  # -- StrategyType
  # Can be set to RollingUpdate or OnDelete
  type: RollingUpdate

# -- dial-extension pods' priorityClassName
priorityClassName: ""
# -- Topology Spread Constraints for pod assignment spread across your cluster among failure-domains. Evaluated as a template
# Ref: https://kubernetes.io/docs/concepts/workloads/pods/pod-topology-spread-constraints/#spread-constraints-for-pods
topologySpreadConstraints: []
# -- Name of the k8s scheduler (other than default) for dial-extension pods
# ref: https://kubernetes.io/docs/tasks/administer-cluster/configure-multiple-schedulers/
schedulerName: ""
# -- Seconds dial-extension pod needs to terminate gracefully
# ref: https://kubernetes.io/docs/concepts/workloads/pods/pod/#termination-of-pods
terminationGracePeriodSeconds: ""
# -- for the dial-extension container(s) to automate configuration before or after startup
lifecycleHooks: {}
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



